Class | Chef::ReservedNames::Win32::File::Info
In: | lib/chef/win32/file/info.rb
Parent: | Object

Objects of class Chef::ReservedNames::Win32::File::Stat encapsulate common status information for Chef::ReservedNames::Win32::File objects. The information is recorded at the moment the Chef::ReservedNames::Win32::File::Stat object is created; changes made to the file after that point will not be reflected.

### Methods

atime creation_time ctime index ino last_access_time last_write_time links mtime new parse_time size volume_serial_number

### Included Modules

Chef::ReservedNames::Win32::API::File Chef::ReservedNames::Win32::API

### Public Class methods

new(file_name)

msdn.microsoft.com/en-us/library/windows/desktop/aa363788(v=vs.85).aspx

### Public Instance methods

atime()

Alias for last_access_time

creation_time()
ctime()

Alias for creation_time

index()
ino()

we‘re faking it here, but this is in the spirit of ino in *nix

from MSDN:

"The identifier (low and high parts) and the volume serial number uniquely identify a file on a single computer. To determine whether two open handles represent the same file, combine the identifier and the volume serial number for each file and compare them.""

last_access_time()
last_write_time()
links()
mtime()

Alias for last_write_time

parse_time(file_time_struct)

given a +Chef::ReservedNames::Win32::API::File::FILETIME+ structure convert into a Ruby `Time` object.

size()
volume_serial_number()

[Validate]